Subject: WU ftpd connection limits

From: Kevin Pearsall <[email-masked]>
Date: Mon, 05 Jan 1998 08:23:22 -0800

I was wondering if anyone knows of a way to limit the maximum amount of
anonymous connections per IP address.  I am continually having problems with
users opening multiple connections -- up to 20 per user in some cases!

Here's an example...  I just got in to work this morning and I've already
got a few people with 3+ anonymous logins a piece:
28731  ?  S    0:00 ftpd: fw2.cdrail.cz: anonymous/IE30User@: RETR /pub/windows
28740  ?  S    0:00 ftpd: fw2.cdrail.cz: anonymous/IE30User@: RETR /pub/windows
28742  ?  S    0:00 ftpd: fw2.cdrail.cz: anonymous/IE30User@: RETR /pub/windows
28743  ?  S    0:00 ftpd: fw2.cdrail.cz: anonymous/IE30User@: RETR /pub/windows
28744  ?  S    0:00 ftpd: fw2.cdrail.cz: anonymous/IE30User@: RETR /pub/windows

I can't figure out what to do...  A friend of mine is working on a perl
script to kill multiple logins, but that might not be very effective...  The
two Windows FTP daemons that I've tried (Serv-U FTPD and War FTPD) both have
an option to limit connections per single IP address...  The only problem
with those daemons is that they are very unreliable compared to wu-ftpd.

Anybody know what I might be able to do??  This is starting to become a
serious problem...

Thanks,
Kevin Pearsall

---------------------------------------------------------------------
  ______   ___  ______   ____)\_____________________________________
 / ___ /__/  /_/ ___ /__/  /__/__   __/  \__/ _ /_  ____/ _ /_      )
 \_____  /______/____  /___\___//__/ /__\__ \____/__   /_____/_/___/
       )/            )/                    )/      \__(
---------------------------------------------------------------------
Elektroson Inc - manufacturers of Gear, the Standard in CD-R Software
        2105 South Bascom Ave., Suite #160, Campbell CA 95008
           phone[1.408.371.4800] - support[1.408.371.4995]
            fax[1.408.371.4895] - web[www.elektroson.com]
     email[[email-masked]] - email[[email-masked]]
--- <eof> -----------------------------------------------------------

---

From: Harshal Savalia <[email-masked]>
Date: Tue, 6 Jan 1998 09:34:15 +0500 (IST)

Hello Kevin,

	I think you can use "limit" and "class" directives of ftpaccess
	file to set a limit on the maximum amount of anonymous connections
	per IP address.

	Hope this will help you.

Regards,
Harshal